aboutsummaryrefslogtreecommitdiffstats
path: root/tests/init
diff options
context:
space:
mode:
authorgramanas <anastasis.gramm2@gmail.com>2018-04-30 17:23:00 +0300
committergramanas <anastasis.gramm2@gmail.com>2018-04-30 17:23:00 +0300
commitfdc979dafba2e12d2dc3d46de3b946d6943ed4a3 (patch)
treec31d046362988b682de3e9f661a466f6395ff66d /tests/init
parentd40a31f3e1a16e30b46edfd8e903c92afa3d7124 (diff)
downloadck-fdc979dafba2e12d2dc3d46de3b946d6943ed4a3.tar.gz
ck-fdc979dafba2e12d2dc3d46de3b946d6943ed4a3.tar.bz2
ck-fdc979dafba2e12d2dc3d46de3b946d6943ed4a3.zip
More test optimisations
Diffstat (limited to 'tests/init')
-rwxr-xr-xtests/init9
1 files changed, 7 insertions, 2 deletions
diff --git a/tests/init b/tests/init
index 44a8143..015b709 100755
--- a/tests/init
+++ b/tests/init
@@ -8,13 +8,18 @@ mkdir $TEST_LOCATION/sec
exec $BIN/ck conf $BIN init $TEST_LOCATION/vc $TEST_LOCATION/sec &
wait $!
+if [ $? -ne 0 ]; then
+ echo -e $ERROR" ck crashed."
+ exit 1
+fi
+
if [ ! -f $BIN/ckrc ]; then
- echo -e $ERROR"Config file not created."
+ echo -e $ERROR" Config file not created."
exit 1
fi
if [ ! -f $BIN/ckdb ]; then
- echo -e $ERROR"DB file not created."
+ echo -e $ERROR" DB file not created."
exit 1
fi